Subject: Re: [PATCH v3] doc: add a explanation of Git's data model

From: Junio C Hamano <[email-masked]>
Date: Wed, 15 Oct 2025 13:42:17 -0700

"Julia Evans" <[email-masked]> writes:

> I'm still not clear on why you think we shouldn't mention that how
> references behave depends on which filesystem you're using.

Simply because the main purpose of this document is to give a
data-model.  A case insensitive filesystem limiting the set of names
you can use depending on what other names are in use is a quality of
implementation issue, which I view as a mere distraction when we are
giving overview at the conceptual level.

Thanks.